RC2::Encryption Class Reference

Class specific methods used to operate the cipher in the forward direction. More...

Inheritance diagram for RC2::Encryption:

## Public Member Functions

| Encryption (const byte *key, size_t keyLen=DEFAULT_KEYLENGTH)
| Encryption (const byte *key, size_t keyLen, int effectiveKeyLen)
Public Member Functions inherited from BlockCipherFinal< ENCRYPTION, Enc >
| BlockCipherFinal ()
| Construct a default BlockCipherFinal. More...
| BlockCipherFinal (const byte *key)
| Construct a BlockCipherFinal. More...
| BlockCipherFinal (const byte *key, size_t length)
| Construct a BlockCipherFinal. More...
| BlockCipherFinal (const byte *key, size_t length, unsigned int rounds)
| Construct a BlockCipherFinal. More...
bool | IsForwardTransformation () const
| Provides the direction of the cipher. More...
Public Member Functions inherited from ClonableImpl< DERIVED, BASE >
Clonable * | Clone () const
| Create a copy of this object. More...

## Detailed Description

Class specific methods used to operate the cipher in the forward direction.

Implementations and overrides in `Encryption` apply to `ENCRYPTION`.

Definition at line 62 of file rc2.h.

The documentation for this class was generated from the following file:

- rc2.h